
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>java socket 客户端和服务器端互相通信（聊天） / iVAN</title>

    <meta name="description" content="java socket 客户端和服务器端互相通信（聊天） 客户端: package com.lzx.socket; import java.io.BufferedReader; import java.io.IOException; import java.io.InputStreamReader; import java.io.PrintWriter; import java.net.Socket; public class SocketClient { public static void main(String[] args) throws IO">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">java socket 客户端和服务器端互相通信（聊天）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>客户端：</p>
<pre>package com.lzx.socket;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;

public class SocketClient {

	public static void main(String[] args) throws IOException {
		// TODO Auto-generated method stub
		final Socket socket = new Socket("127.0.0.1", 10000);

		//回复服务端
		new Thread(){
			public void run() {
				try {
					PrintWriter out = new PrintWriter(socket.getOutputStream(), true);
					BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
					String readline = in.readLine();
					System.out.println(readline);
					while(true){
						out.println(readline);
						System.out.println(" client send: " + readline);
						readline = in.readLine();
						if(readline.equals("bye"))
							break;
					}
				} catch (IOException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
			};
		}.start();

		new Thread(){
			public void run() {
				//获得客户端发来的数据
				try {
					BufferedReader reader = new BufferedReader(new InputStreamReader(socket.getInputStream()));
					while(true){
						System.out.println("Receive from server : " + reader.readLine());
					}
				} catch (IOException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
			};
		}.start();

	}

}
</pre>
<p>服务端：</p>
<pre>package com.lzx.socket;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;

public class SocketServer {

	public static void main(String[] args) throws IOException {
		ServerSocket server = new ServerSocket(10000);
		final Socket socket = server.accept();

		new Thread(){
			public void run() {
				//获得客户端发来的数据
				try {
					BufferedReader reader = new BufferedReader(new InputStreamReader(socket.getInputStream()));
					while(true){
						System.out.println("Receive from client : " + reader.readLine());
					}
				} catch (IOException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
			};
		}.start();

		new Thread(){
			public void run() {
				try {
					PrintWriter out = new PrintWriter(socket.getOutputStream(), true);
					BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
					String readline = in.readLine();
					System.out.println(readline);
					while(true){
						out.println(readline);
						System.out.println(" server send: " + readline);
						readline = in.readLine();
						if(readline.equals("bye"))
							break;
					}
				} catch (IOException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
			};
		}.start();
	}

}
</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-15 10:15:44</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>java socket 客户端和服务器端互相通信（聊天）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baBlagM.html" rel="bookmark">java Socket客户端和服务器端</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				客户端: package com.lzx.socket; import java.io.BufferedReader; import java.io.IOException; import java.io.InputStreamReader; import java.io.PrintWriter; import java.net.Socket; import java.net.UnknownHostException; import org.xml.sax.InputSource; public			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkeddwb.html" rel="bookmark">java网络编程-java  socket实现两台电脑通信</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java socket实现两台电脑通信 大学生 菜鸟一个 现在自己电脑创了 发送端,接收端,可行 然后同样的代码,将发送端目的ip改为宿舍一台电脑ip,就没反应了.怎么回事啊? 防火墙吗?还是ip地址不对.两台机一个网,一个是192.168.1.102,一台是103 解决方案 没反应是什么意思,指发送端? 解决方案二: 原因很多..硬件软件的可能性都有. 都会在中间阻止或者消亡http请求..最好把你的代码,和网络环境说一下. 解决方案三: 端口看看有没有被占用吧 解决方案四: 试试			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/badWqgz.html" rel="bookmark">php-androi客户端与服务器端的通信问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 androi客户端与服务器端的通信问题 我用php写的服务器端, 我想要实现这么一个功能. 假设一共有4台android客户端,每一个客户端都向服务器传两个值(id,value),然后服务器再把所有接收到的值返回给每一个客户端,由此来形成一个数据共享. 从客户端传值到服务器我已经实现了,现在的问题就是怎么把服务器的所有(id,value)数据对返回给android客户端? 解决方案 http无状态 所以要用到比轮循更高级的&quot;push技术&quot; 解决方案二: socket连接 ud			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjoOPWM.html" rel="bookmark">java socket 客户端异常中断问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java socket 客户端异常中断问题 java socket 问题,服务器端可以接收客户端数据,但是,当客户端断电在连上时,服务器端收不到客户端的数据,除非重启服务器端才可以继续收到数据.我想让:及时客户端异常中断,随后在向服务器端发送数据的时候,服务器端不需要重启也能继续收到数据 解决方案 public void run(){ try{ ServerSocket serverSocket = new ServerSocket(5007); System.out.println(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40DKrz.html" rel="bookmark">socket客户端-php socket 客户端的多次通信</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 php socket 客户端的多次通信 想用php做一个socket 客户端,可以实现一次连接,然后多次给服务端发消息.具体的想法是这样的: 做一个页面,这个页面上有个按钮和消息栏,点一下按钮就可以把消息栏的内容发送给服务端,再点一下再发送,而不需要重新连接,只是页面打开时跟服务端连接上. 这个要怎么实现呀?请各位大牛帮帮忙,小妹先谢过了. 附上socket类的代码. &lt;?php /** 定义ip,和端口 */ define ( 'PHP_SOCKET_PORT', '6000' );			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPWolZM.html" rel="bookmark">java socket客户端能不能单线程一次连接服务器然后进行多次对话？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java socket客户端能不能单线程一次连接服务器然后进行多次对话? 像qq那样,客户端跟服务器都可以发多条消息,我在想客户端能不能通知下服务器自己的输出流有变化 解决方案 http://blog.csdn.net/mydreamongo/article/details/8194264 解决方案二: http://blog.csdn.net/liuzesoft/article/details/30247649 解决方案三: 输出流变化是什么意思???? 解决方案四: java so			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyKBjvz.html" rel="bookmark">php socket客户端及服务器端应用实例&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				经常有朋友会对php的socket应用充满疑惑,本文就以实例代码作一讲解,希望能对初学php的朋友起到一点帮助作用 具体代码如下: 1.服务器端代码: &lt;?php class SocketServer{ private $_port='9000'; private $_address='127.0.0.1'; private $_client_socket_list=array(); public function __set($name,$val){ $this---&gt;$name=$val;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrBX6p.html" rel="bookmark">使用c&num;语言实现socket客户端与服务器端数据交互</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 本人菜鸟,老师布置了一个作业,要求我们实现以下几个要点:用户将用户名和密码输入到窗体中,客户端将用户名和密码发送到服务器端,服务器端要接收信息并在oracle数据库中验证,并返回结果,如果不存在,就显示&quot;wrong!&quot;,如果存在,则可以下一个窗口. 解决方案 解决方案二:通过ado.net查询oracle数据库.解决方案三:看正文,和socket没有太大关系,商业项目中客户端与服务器端通讯很少有人去用socket,你可以使用ado.net直连服务器.wcf.webservic			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6ZRdz.html" rel="bookmark">Java Socket构建阻塞的TCP通信</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.服务器端 1.创建ServerSocket对象,可在构造子中指定监听的端口: private int port = 8000; private ServerSocket serverSocket; -- serverSocket = new ServerSocket(port); 2.服务器端调用ServerSocket对象的accept()方法,该方法一直监听端口,等待客户的连接请求,如 果接收到一个连接请求,accept()方法就会返回一个Socket对象,这个Socket对象与客户端的			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpko31p.html" rel="bookmark" class="title">用百度统计为网站体检</a>
					<div>
						百度统计是百度的官方统计工具,百度统计的功能是非常强大的,所以我们要经常运用百度统计进行数据分析,以便对网站进行体检.所以做网站优化百度统计是必不可少的工具,具体的安装方法请按安装说明要求做即可.下面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvkk8p.html" rel="bookmark" class="title">C&plus;&plus;：使用复合&lpar;composition&rpar; 代替 private继承</a>
					<div>
						复合方式(composition)和 private继承, 都能表示, 根据某个类实现出新的类的形式, 即通过使用protected成员, 和重写virtual函数. 优先选择复合方式. 原因: 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz79LAM.html" rel="bookmark" class="title">采集网页选定部分全攻略</a>
					<div>
						在VCKBASE 混了这么久竟然没有写出一篇文章,想想很是惭愧,每当在这里看到一篇好文,这种感觉尤甚,总结我在程序员加油站中的一些技术点写了这个文章(虽然程序员加油站还要继续开发,但是由于时间关系不知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7XAZb.html" rel="bookmark" class="title">WebSphere Application Server中现代化的基于 Java 的批处理（三）</a>
					<div>
						企业批处理 简介 IBM WebSphere Application Server V8 为批处理添加了一个新容器,为基于 Java EE 的批处理应用程序的执行提供了一个环境.这个新的批容器提供了全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnaGnz.html" rel="bookmark" class="title">用Word 2007保存网页</a>
					<div>
						针对这种限制,虽然有不少的方法,可以突破网页不让复制保存的限制,比如比如提高浏览器安全级别.使用一些第三方插件等.其实我们常用的Word就可以达到这个目的. 本文以Word 2007为例说明.打开Wo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNyrDb.html" rel="bookmark" class="title">用iSee把照片设为自动更换的活动壁纸</a>
					<div>
						你一定设置过桌面壁纸吧,但每次只能设置一张图片为当前壁纸,需要更换壁纸的时候,需要手工进行选择,操作起来非常麻烦,iSee可以帮你解决这个问题,可以把一组图片设置为壁纸,然后设置自动更换的时间,这样就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRwmDz.html" rel="bookmark" class="title">iSee插件制作教程</a>
					<div>
						涂鸦插件是不用写配置文件滴~基本上,基本上所有肉眼能看到的图片,都可以作为涂鸦插件导入~ 但是要注意的是,如果导入的图片里面,有动态gif图,那导入后,图片是只会显示第一帧的,也就是说,动态的图片,导 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badkDQz.html" rel="bookmark" class="title">利用百度云盘在线观看视频</a>
					<div>
						  1.首先,利用自己的百度账号登进百度网盘,如果,没有百度网盘,可以先注册一个百度账号,在可以进入百度网盘. 2.我们要把想看的视频下载到自己的网盘上.然后我们只要直接点击视频文件,就可以播放了.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7nn3b.html" rel="bookmark" class="title">MySQL乱码问题终极指南</a>
					<div>
						mysql的字符集设置众多,从客户端到连接到结果集,从服务器到库到表到列,都可以设置字符集,灵活很强大,但就是很容易出问题,如果不了解其机制,很容易就出现乱码问题.为了普度众生,让大家尽量在工作中少受 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB3VYz.html" rel="bookmark" class="title">浅析Java基本数据类型</a>
					<div>
						作为一种强类型语言,Java针对每一种数据都定义了明确的数据类型.大体来讲可分为:基本数据类型和引用数据类型:在此,主要讨论前者,后者以后再继续探究. Java基本数据类型分为四类八种: 1: 整数  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmXkAz.html" rel="bookmark" class="title">shell学习笔记2---awk字符串处理&lpar;原创&rpar;</a>
					<div>
						awk内置字符串函数gsub(r,s) 在整个$0中用s替代r:gsub(r,s,t) 在整个t中用s替代r gsub函数有点类似于sed查找和替换.它允许替换一个字符串或字符为另一个字符串或字符,并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3a9Jz.html" rel="bookmark" class="title">安迪&CenterDot;鲁宾：谷歌Android的幕后英雄</a>
					<div>
						安迪·鲁宾:Android幕后英雄 导语:谷歌宣布斥资125亿美元收购摩托罗拉手机业务,并计划借此来进一步推动其开源操作系统Android以及相关移动设备的健康发展.而Android的幕后英雄安迪·鲁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQgBEp.html" rel="bookmark" class="title">阿里云发布勒索病毒专杀工具：一键修复 彻底查杀</a>
					<div>
						从5月12日爆发至今,名为WannaCry的勒索病毒让全球数十万Windows计算机中招,黑客将用户计算机中的重要文件实施加密,并索要赎金解锁.这种情况如果发生在企业服务器当中,那么将带来严重损失.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AYJlz.html" rel="bookmark" class="title">《Android深度探索（卷1）：HAL与驱动开发》&mdash;&mdash;6&period;4节使用多种方式测试Linux驱动</a>
					<div>
						6.4 使用多种方式测试Linux驱动 Android深度探索(卷1):HAL与驱动开发 在上一节已经实现了一个简单的Linux驱动程序,该驱动的功能是统计给定字符串中的单词数,并且在最后已经将该Li ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBvYrM.html" rel="bookmark" class="title">详谈SEO站点结构101</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 In SEO站点结构101,第1部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydOjJb.html" rel="bookmark" class="title">利用Arduino快速制作Teensy BadUSB</a>
					<div>
						000 介绍 本文想以较简单的方式,叙述Arduino版BadUSB的制作过程.我知道在这之前已经有很多前辈都写过相关的文章,但小白可能还有点迷糊,所以这篇文章是快速带大家入门了解,我也是菜B大神不要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40PNYz.html" rel="bookmark" class="title">如何进行同一页面多个mvcpager分页</a>
					<div>
						问题描述 如何进行同一页面多个mvcpager分页 在同一个页面上有多个TABLE如何使用mvcpager进行分页(table中数据不同)					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40d18z.html" rel="bookmark" class="title">python函数返回多个值的示例方法&lowbar;python</a>
					<div>
						python可以返回多个值,确实挺方便函数里的return只能返回一个值,但是返回类型是没是限制的因此,我们可以&quot;返回一个 tuple类型,来间接达到返回多个值&quot;.例子是我在rob ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBe0ZM.html" rel="bookmark" class="title">刘芳菲：王益是旧爱工作没影响</a>
					<div>
						作者: 林芳 央视女主持刘芳菲被牵涉进&quot;王益案&quot;的消息传出后不到48小时,刘的成长史以及感情史均被挖出.而身边的同事则纷纷表示&quot;和她不熟&quot;.&quot;不清楚& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0e9VM.html" rel="bookmark" class="title">分享几年积累下来的推广经验</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 目前大家可能流量来自搜索引擎的比较 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7x2L4b.html" rel="bookmark" class="title">最薄防水LTE平板 Docomo Medias Tab N-06D平板</a>
					<div>
						Docomo Medias Tab N-06D采用了7英寸的WXGA显示屏,1.2GHz的处理器,一个移动电视调谐器和拥有高品质扬声器.该产品的重量仅有350克,厚度9.9毫米和支持LTE,3G HS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoaxAM.html" rel="bookmark" class="title">三金药业：是否通过证监会IPO审批需要确认</a>
					<div>
						□ 本报记者 袁玉立 A股IPO重启前夜,谁能最终拿到新股发行第一张批文,无疑会是一个大新闻. 昨日下午三点左右,有消息称,桂林三金药业股份有限公司(下称&quot;三金药业&quot;)和浙江万马电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNoN8M.html" rel="bookmark" class="title">求一段使用C&num;实现的添加链接的正则表达式</a>
					<div>
						问题描述 要实现的功能如下将一段网页中的数字添加上链接比如&lt;spanclass=&quot;t1&quot;&gt;可乘坐K1或者7路公交&lt;span&gt;将要实现的效果如下&lt;spa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyexJ8M.html" rel="bookmark" class="title">WAS6&period;1下设置类加载模式为PARENT&lowbar;LAST程序启动不了&quest;</a>
					<div>
						问题描述 因为项目里用的是JSF和MyFaces与IBM自带的JSF冲突了,我已经把类加载模式为PARENT_LAST后启动服务时就会出现:8-3-613:28:52:953CST]0000001fj ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7J0jM.html" rel="bookmark" class="title">php中序列化与反序列化在utf8和gbk编码中测试</a>
					<div>
						php 在utf8和gbk编码下使用serialize和unserialize互相序列化和反序列化会出现无法成功反序列化的问题. 问题出现的原因主要是在不同编码下strlen函数计算中文字符串长度不同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLknjM.html" rel="bookmark" class="title">tfs-如果我对文件的添加修改等操作必须要求有注释，如果没有注释则无法操作。怎么实现？</a>
					<div>
						问题描述 如果我对文件的添加修改等操作必须要求有注释,如果没有注释则无法操作.怎么实现? 在TFS中,如果我对文件的添加修改等操作必须要求有注释,如果没有注释则无法操作.怎么实现? 解决方案 Win3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NYavp.html" rel="bookmark" class="title">图解git中的最常用命令</a>
					<div>
						本文原版英文材料见:A Visual Git Reference      此页图解git中的最常用命令.如果你稍微理解git的工作原理,这篇文章能够让你理解的更透彻. 如果你想知道这个站点怎样产生, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2YdqZz.html" rel="bookmark" class="title">长城电源全面导入RoHS制造工艺</a>
					<div>
						本报讯(记者牛颖惠)记者昨天获悉,长城电源近日在京发布其低碳发展战略,其中最重要的就是全线产品导入RoHS制造工艺. 长城电源副总裁.电源事业部总经理于吉永表示,面对欧盟立法制定的强制性标准RoHS( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmA2ob.html" rel="bookmark" class="title">目前的环境并不具备苹果电视机的诞生条件</a>
					<div>
						摘要: 来自 KGI Securities 的分析师 Ming-Chi Kuo 再次对苹果公司今年的产品策略做出预测.根据 Kuo 的看法,在将协助微软开发第一代 Kinect 的以色列公司 Prim ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YjyWb.html" rel="bookmark" class="title">提高用户体验对网站到底意味着什么</a>
					<div>
						用户体验(User Experience,简称UX 或 UE)是一种纯主观的在http://www.aliyun.com/zixun/aggregation/6579.html&quot;&gt;用户 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
